Eclipse Remote Application Platform

## org.eclipse.rap.rwt.client.service
Interface BrowserNavigationListener

    public interface BrowserNavigationListener

An event handler that is invoked whenever the user navigates within the application, i.e. changes the fragment part of the URL. This can happen by pressing the browser's back button, by selecting an item from the browser's history, or by manually changing the fragment part of the URL in the browser's URL bar.

Since:
  2.0
See Also:
  `BrowserNavigation`

Method Summary
`void` `navigated(BrowserNavigationEvent event)` Called when the user navigated within the application.

Method Detail

### navigated

    void navigated(BrowserNavigationEvent event)

  Called when the user navigated within the application.

  Parameters:
    `event` - the event that contains details of the navigation

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0